> For the complete documentation index, see [llms.txt](https://docs.enlyze.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.enlyze.com/enlyze-api/api-referenz/downtimes.md).

# Downtimes

## Get Downtimes

> Returns a list of downtimes in your organization.

```json
{"openapi":"3.1.0","info":{"title":"ENLYZE API","version":"v2"},"tags":[{"name":"Downtimes"}],"servers":[{"url":"/api"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"NullSentinel":{"type":"string","const":"null"},"PaginatedDowntimes":{"properties":{"data":{"items":{"$ref":"#/components/schemas/Downtime"},"type":"array","title":"Data"},"metadata":{"$ref":"#/components/schemas/Metadata","description":"This field contains pagination metadata."}},"additionalProperties":false,"type":"object","required":["data","metadata"],"title":"PaginatedDowntimes"},"Downtime":{"properties":{"uuid":{"type":"string","format":"uuid","title":"Downtime UUID","description":"The UUID of the downtime."},"machine":{"type":"string","format":"uuid","title":"Machine","description":"The UUID of the machine the downtime was observed on."},"comment":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Comment","description":"Comment associated with the downtime."},"type":{"$ref":"#/components/schemas/DowntimeType","title":"Downtime Type","description":"Type of the downtime."},"updated":{"anyOf":[{"$ref":"#/components/schemas/DowntimeUpdateInformation"},{"type":"null"}],"title":"Downtime Update Information","description":"Information about the update operation if the downtime was updated."},"reason":{"anyOf":[{"$ref":"#/components/schemas/DowntimeReason"},{"type":"null"}],"title":"Downtime Reason","description":"The reason this downtime occured."},"start":{"type":"string","format":"date-time","title":"Start","description":"The start of the downtime in ISO8601 format with timezone info."},"end":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"End","description":"The end of the downtime in ISO8601 format with timezone info. If the value of this field is `null`, the downtime is not yet over."}},"type":"object","required":["uuid","machine","comment","type","updated","reason","start","end"],"title":"Downtime"},"DowntimeType":{"type":"string","enum":["THRESHOLD","NO_DATA"],"title":"DowntimeType"},"DowntimeUpdateInformation":{"properties":{"first_name":{"type":"string","title":"First Name","description":"First name of the individual who updated the downtime."},"last_name":{"type":"string","title":"Last Name","description":"Last name of the individual who updated the downtime."},"timestamp":{"type":"string","format":"date-time","title":"Timestamp","description":"The timestamp in which the update occurred at in ISO8601 format with timezone info."}},"type":"object","required":["first_name","last_name","timestamp"],"title":"DowntimeUpdateInformation"},"DowntimeReason":{"properties":{"uuid":{"type":"string","format":"uuid","title":"Downtime Reason UUID","description":"The UUID of the downtime reason."},"name":{"type":"string","title":"Downtime Reason Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Downtime Reason Description","description":"Free-text description of the downtime reason."},"category":{"$ref":"#/components/schemas/DowntimeCategory","title":"Downtime Reason Category","description":"Category of the downtime reason."},"group":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Downtime Reason Group"},"state":{"$ref":"#/components/schemas/DowntimeReasonState","title":"Downtime Reason State","description":"Lifecycle state of the downtime reason."},"catalog":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Downtime Catalog","description":"UUID of the catalog this reason belongs to. Resolve it via `GET /api/v2/downtime-catalogs/{uuid}`. `null` for legacy reasons not yet migrated to a catalog (only reachable as an embedded reason on `GET /api/v2/downtimes`)."}},"type":"object","required":["uuid","name","category","group","state"],"title":"DowntimeReason"},"DowntimeCategory":{"type":"string","enum":["PLANNED","UNPLANNED","NOT_SCHEDULED","INVALID"],"title":"DowntimeCategory"},"DowntimeReasonState":{"type":"string","enum":["active","archived"],"title":"DowntimeReasonState"},"Metadata":{"properties":{"next_cursor":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Next Cursor","description":"Pagination continuation point. Specify its value as the `cursor` parameter in a request with otherwise the same parameters to fetch the next page. `None`, if there is no more data to be fetched from the server."}},"additionalProperties":false,"type":"object","required":["next_cursor"],"title":"Metadata"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/v2/downtimes":{"get":{"tags":["Downtimes"],"summary":"Get Downtimes","description":"Returns a list of downtimes in your organization.","operationId":"get_downtimes_v2_downtimes_get","parameters":[{"name":"cursor","in":"query","required":false,"schema":{"type":"string","title":"Get page starting at cursor"}},{"name":"uuid","in":"query","required":false,"schema":{"anyOf":[{"type":"array","uniqueItems":true,"items":{"type":"string","format":"uuid"},"maxItems":50},{"type":"null"}],"title":"Filter by one or more UUIDs.","description":"If not set, all downtimes will be considered."},"description":"If not set, all downtimes will be considered."},{"name":"machine","in":"query","required":false,"schema":{"anyOf":[{"type":"array","uniqueItems":true,"items":{"type":"string","format":"uuid"},"maxItems":50},{"type":"null"}],"title":"Filter by one or more machine UUIDs.","description":"If not set, downtimes for all machines will be considered."},"description":"If not set, downtimes for all machines will be considered."},{"name":"start","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Filter by time, starting from","description":"Only downtimes that were observed starting at `start` will be returned. If not set, no lower time bound will be assumed."},"description":"Only downtimes that were observed starting at `start` will be returned. If not set, no lower time bound will be assumed."},{"name":"end","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Filter by time, up to","description":"Only downtimes that were observed up to `end` will be returned. If not set, no upper time bound will be assumed."},"description":"Only downtimes that were observed up to `end` will be returned. If not set, no upper time bound will be assumed."},{"name":"reason","in":"query","required":false,"schema":{"anyOf":[{"type":"array","uniqueItems":true,"items":{"anyOf":[{"type":"string","format":"uuid"},{"$ref":"#/components/schemas/NullSentinel"}]},"maxItems":50},{"type":"null"}],"title":"Filter by downtime reason","description":"Only downtimes that have one of the specified reasons assigned will be returned. Supplying `null` additionally matches downtimes that have no reason assigned. If not set, no reason filter will be applied."},"description":"Only downtimes that have one of the specified reasons assigned will be returned. Supplying `null` additionally matches downtimes that have no reason assigned. If not set, no reason filter will be applied."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedDowntimes"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```
